import * as React from 'react';

var Indent = function Indent(_ref) {
  var prefixCls = _ref.prefixCls,
      level = _ref.level,
      indentSize = _ref.indentSize;

  if (!level) {
    return null;
  }

  var list = [];

  for (var i = 0; i < level; i += 1) {
    list.push(React.createElement("span", {
      key: i,
      className: "".concat(prefixCls, "-indent-unit"),
      style: {
        display: 'inline-block',
        paddingLeft: indentSize,
        userSelect: 'none'
      }
    }));
  }

  return React.createElement("span", {
    "aria-hidden": "true",
    className: "".concat(prefixCls, "-indent")
  }, list);
};

export default Indent;